<table name="Egon Spengler character pack">
	<Hooks directory="hooks">
		<hook source_file="lib/managers/criminalsmanager" file="criminalsmanager.lua"/>
		<hook source_file="lib/managers/menu/menuscenemanager" file="menuscenemanager.lua"/>
		<hook source_file="lib/managers/criminalsmanager" file="bodycriminalsmanager.lua"/>
		<hook source_file="lib/managers/menu/menuscenemanager" file="bodymenuscenemanager.lua"/>
        <hook file="menumanager.lua" source_file="lib/managers/menumanager"/>
		<hook file="TweakData.lua" source_file="lib/tweak_data/tweakdata"/>
		<hook file="wick_state_fixes_and_essentials.lua" source_file="lib/tweak_data/blackmarkettweakdata"/>
		<hook file="wick_viewmodel_fix.lua" source_file="lib/units/beings/player/playercamera"/>
	</Hooks>
	
	<Mask id="egon_shades" unit="units/mods/masks/msk_egon_shades/msk_egon_shades" type="glasses" global_value="egon_mod" skip_mask_on_sequence="true"/>
	<GlobalValue id="egon_mod" color="Color(0.72, 0.23, 0.16)" overwrite="true"/>
	
	<Localization directory="loc" default="english.txt"/>
	
	<AddFiles directory="assets">
		<material_config path="units/pd2_mod_jowi/characters/head_jowi_pd2/head_jowi_pd2"/>
		<model path="units/pd2_mod_jowi/characters/head_jowi_pd2/head_jowi_pd2"/>
		<object path="units/pd2_mod_jowi/characters/head_jowi_pd2/head_jowi_pd2"/>
		<unit path="units/pd2_mod_jowi/characters/head_jowi_pd2/head_jowi_pd2"/>

		<material_config path="units/pd2_mod_jowi/characters/body_jowi_pd2/body_jowi_pd2"/>
		<model path="units/pd2_mod_jowi/characters/body_jowi_pd2/body_jowi_pd2"/>
		<object path="units/pd2_mod_jowi/characters/body_jowi_pd2/body_jowi_pd2"/>
		<unit path="units/pd2_mod_jowi/characters/body_jowi_pd2/body_jowi_pd2"/>
		
		<texture path="units/pd2_mod_jowi/characters/head_jowi_pd2/head_jowi_pd2_df"/>
		<texture path="units/pd2_mod_jowi/characters/head_jowi_pd2/head_jowi_pd2_nm"/>
		<texture path="units/pd2_mod_jowi/characters/head_jowi_pd2/head_jowi_pd2_op"/>
		<texture path="units/pd2_mod_jowi/characters/head_jowi_pd2/head_jowi_hair_pd2_df"/>
		
		<texture path="units/pd2_mod_jowi/characters/body_jowi_pd2/body_jowi_pd2_df"/>
		<texture path="units/pd2_mod_jowi/characters/body_jowi_pd2/body_jowi_pd2_nm"/>
		<texture path="units/pd2_mod_jowi/characters/body_jowi_pd2/body_jowi_logo_pd2_op"/>

		<unit_mat path="units/mods/masks/msk_egon_shades/msk_egon_shades"/>
        <df_nm path="units/mods/masks/msk_egon_shades/shades"/>		
        <texture path="units/mods/masks/msk_egon_shades/shades_op"/>		
        <texture path="units/mods/masks/msk_egon_shades/glass_df"/>		
		
        <texture path="guis/dlcs/mods/textures/pd2/blackmarket/icons/masks/egon_shades"/>
		
		<texture path="guis/textures/pd2/blackmarket/icons/characters/jowi" force="true"/>
	</AddFiles>
</table>